commit: 5783984ad87186acebab5b18ac051b6e94eda01f
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 20:21:13 2022 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 20:35:04 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5783984a
net-firewall/iptables: remove ${ED}/usr/bin/iptables-xml
This symlink is managed by eselect-iptables in /sbin.
Having the same link in /usr/bin confuses eselect-iptables on merged-usr
systems.
Closes: https://bugs.gentoo.org/881295
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
.../iptables/{iptables-1.8.8-r4.ebuild => iptables-1.8.8-r5.ebuild} | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/net-firewall/iptables/iptables-1.8.8-r4.ebuild
b/net-firewall/iptables/iptables-1.8.8-r5.ebuild
similarity index 97%
rename from net-firewall/iptables/iptables-1.8.8-r4.ebuild
rename to net-firewall/iptables/iptables-1.8.8-r5.ebuild
index 7ee81eb845ac..105bbb699754 100644
--- a/net-firewall/iptables/iptables-1.8.8-r4.ebuild
+++ b/net-firewall/iptables/iptables-1.8.8-r5.ebuild
@@ -98,6 +98,10 @@ src_compile() {
src_install() {
default
+ # Managed by eselect-iptables
+ # https://bugs.gentoo.org/881295
+ rm "${ED}/usr/bin/iptables-xml" || die
+
dodoc INCOMPATIBILITIES iptables/iptables.xslt
# All the iptables binaries are in /sbin, so might as well